Devuan bug report logs - #326
firmware [non-free] uninstallable.

Package: firmware-amd-graphics; Maintainer for firmware-amd-graphics is (unknown);

Reported by: Bruno <brunobr@iperbole.bologna.it>

Date: Fri, 24 May 2019 18:03:01 UTC

Severity: normal

Full log


Message #5 received at maintonly@bugs.devuan.org (full text, mbox, reply):

Received: (at maintonly) by bugs.devuan.org; 24 May 2019 17:50:06 +0000
Return-Path: <brunobr@iperbole.bologna.it>
Delivered-To: devuanbugs@dyne.org
Received: from tupac3.dyne.org [195.169.149.119]
	by fulcanelli with IMAP (fetchmail-6.3.26)
	for <debbugs@localhost> (single-drop); Fri, 24 May 2019 19:50:06 +0200 (CEST)
Received: from iperbole.bologna.it (iperbole180.iperbole.bologna.it [195.62.190.180])
	(using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
	(No client certificate requested)
	by vm6.ganeti.dyne.org (Postfix) with ESMTPS id 7AD88F60BC6
	for <maintonly@bugs.devuan.org>; Fri, 24 May 2019 19:41:35 +0200 (CEST)
Received: from localhost (localhost [127.0.0.1])
	by iperbole.bologna.it (Postfix) with ESMTP id ACB591020A2D
	for <maintonly@bugs.devuan.org>; Fri, 24 May 2019 19:41:34 +0200 (CEST)
Received: from iperbole.bologna.it ([127.0.0.1])
	by localhost (iperbole.bologna.it [127.0.0.1]) (amavisd-new, port 10032)
	with ESMTP id 6Nd2tZlzCGnq for <maintonly@bugs.devuan.org>;
	Fri, 24 May 2019 19:41:34 +0200 (CEST)
Received: from localhost (localhost [127.0.0.1])
	by iperbole.bologna.it (Postfix) with ESMTP id 142A91020A8C
	for <maintonly@bugs.devuan.org>; Fri, 24 May 2019 19:41:34 +0200 (CEST)
X-Virus-Scanned: amavisd-new at iperbole.bologna.it
Received: from iperbole.bologna.it ([127.0.0.1])
	by localhost (iperbole.bologna.it [127.0.0.1]) (amavisd-new, port 10026)
	with ESMTP id 0WpZSsuu_Nzh for <maintonly@bugs.devuan.org>;
	Fri, 24 May 2019 19:41:33 +0200 (CEST)
Received: from [192.168.1.7] (host225-60-dynamic.10-87-r.retail.telecomitalia.it [87.10.60.225])
	by iperbole.bologna.it (Postfix) with ESMTPSA id CD2991020A2D
	for <maintonly@bugs.devuan.org>; Fri, 24 May 2019 19:41:33 +0200 (CEST)
To: maintonly@bugs.devuan.org
From: Bruno <brunobr@iperbole.bologna.it>
Subject: firmware [non-free] uninstallable.
Message-ID: <10dc59f0-71d1-0e04-0557-1d41fbaa58df@iperbole.bologna.it>
Date: Fri, 24 May 2019 19:41:32 +0200
User-Agent: Mozilla/5.0 (X11; Linux i686; rv:60.0) Gecko/20100101
 Thunderbird/60.6.1
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-0.0 required=5.0 tests=SPF_HELO_PASS,SPF_PASS
	autolearn=disabled version=3.4.2
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on tupac3.dyne.org
Package: firmware-amd-graphics
Version: 20161130-4

From the boot log :

  # dmesg | grep R300
  [    7.697361] [drm] Loading R300 Microcode
  [    7.718273] radeon 0000:01:05.0: firmware: failed to load 
radeon/R300_cp.bin (-2)
  [    7.718334] radeon 0000:01:05.0: Direct firmware load for 
radeon/R300_cp.bin failed with error -2


As root, I do :

 # apt update && apt upgrade && apt autoremove
Trovato:1 http://deb.devuan.org//merged ascii InRelease
Trovato:2 http://deb.devuan.org//merged ascii-security InRelease
Scaricamento di:3 http://deb.devuan.org//merged ascii-updates InRelease 
[25,6 kB]
Scaricamento di:4 http://deb.devuan.org//merged ascii-backports 
InRelease [25,6 kB]
Scaricamento di:5 http://deb.devuan.org//merged ascii-backports/main 
i386 Packages [594 kB]
Recuperati 645 kB in 2s (271 kB/s)
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze
Lettura informazioni sullo stato... Fatto
Tutti i pacchetti sono aggiornati.
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze
Lettura informazioni sullo stato... Fatto
Calcolo dell'aggiornamento... Fatto
0 aggiornati, 0 installati, 0 da rimuovere e 0 non aggiornati.
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze
Lettura informazioni sullo stato... Fatto
0 aggiornati, 0 installati, 0 da rimuovere e 0 non aggiornati.


 # apt install firmware-amd-graphics
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze
Lettura informazioni sullo stato... Fatto
I seguenti pacchetti NUOVI saranno installati:
    firmware-amd-graphics
0 aggiornati, 1 installati, 0 da rimuovere e 0 non aggiornati.
È necessario scaricare 1.566 kB di archivi.
Dopo quest'operazione, verranno occupati 15,3 MB di spazio su disco.
Err:1 http://deb.devuan.org//merged ascii/non-free i386 
firmware-amd-graphics all 20161130-4      ( ndr: must be 20161130-5 or 
20190114-1 )
  404  Not Found [IP: 141.84.43.22 80]
E: Impossibile recuperare 
http://debian.bio.lmu.de/debian/pool/non-free/f/firmware-nonfree/firmware-amd-graphics_20161130-4_all.deb 
404  Not Found [IP: 141.84.43.22 80]
E: Impossibile scaricare alcuni pacchetti. Potrebbe essere utile 
eseguire "apt-get update" o provare l'opzione "--fix-missing".


On Debian site, for info :

https://packages.debian.org/search?keywords=firmware-amd-graphics

  Package firmware-amd-graphics
    jessie (oldstable) (kernel): Binary firmware for AMD/ATI graphics 
chips [non-free]
    20161130-5~deb8u1 [security]: all
    stretch (stable) (kernel): Binary firmware for AMD/ATI graphics 
chips [non-free]
    20161130-5: all
    stretch-backports (kernel): Binary firmware for AMD/ATI graphics 
chips [non-free]
    20190114-1~bpo9+2: all
    buster (testing) (kernel): Binary firmware for AMD/ATI graphics 
chips [non-free]
    20190114-1: all
    sid (unstable) (kernel): Binary firmware for AMD/ATI graphics chips 
[non-free]
    20190502-1: all

N.B. 20161130-4 not exist !
Ciao.


I am using :

 # lsb_release -a
 No LSB modules are available.
 Distributor ID:    Devuan
 Description:    Devuan GNU/Linux 2.0 (ascii)
 Release:    2.0
 Codename:    ascii

 # uname -a
 Linux Acer 4.9.0-9-686-pae #1 SMP Debian 4.9.168-1+deb9u2 (2019-05-13) 
i686 GNU/Linux

 # dpkg --get-selections | grep linux-image
 linux-image-4.9.0-6-686-pae            deinstall
 linux-image-4.9.0-9-686-pae            install
 linux-image-686-pae                        install

 # ls -l /lib/modules
 totale 8
 drwxr-xr-x 2 root root 4096 apr 28 08:26 4.9.0-6-686-pae
 drwxr-xr-x 3 root root 4096 mag 24 16:52 4.9.0-9-686-pae



Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Wed Nov 25 19:34:24 2020;